libyui-qt-graph-devel-2.44.9-3.1.x86_64.rpm


Advertisement

Description

libyui-qt-graph-devel - Libyui-qt-graph header files

Property Value
Distribution openSUSE Tumbleweed
Repository openSUSE Oss all
Package filename libyui-qt-graph-devel-2.44.9-3.1.x86_64.rpm
Package name libyui-qt-graph-devel
Package version 2.44.9
Package release 3.1
Package architecture x86_64
Package type rpm
Category Development/Languages/C and C++
Homepage http://github.com/libyui/
License LGPL-2.1 or LGPL-3.0
Maintainer -
Download size 15.54 KB
Installed size 19.25 KB
This package contains the Qt graph
component for libYUI.
This can be used independently of YaST for generic (C++) applications.
This package has very few dependencies.

Alternatives

Package Version Architecture Repository
libyui-qt-graph-devel-2.44.9-3.1.i586.rpm 2.44.9 i586 openSUSE Oss
libyui-qt-graph-devel - - -

Requires

Name Value
/usr/bin/pkg-config -
libyui-qt-devel >= 2.42.0
libyui-qt-graph9 = 2.44.9

Provides

Name Value
cmake(Libyui-qt-graph) = 2.44.9
libyui-qt-graph-devel = 2.44.9-3.1
libyui-qt-graph-devel(x86-64) = 2.44.9-3.1
pkgconfig(libyui-qt-graph) = 2.44.9

Download

Type URL
Mirror widehat.opensuse.org
Binary Package libyui-qt-graph-devel-2.44.9-3.1.x86_64.rpm
Source Package libyui-qt-graph-2.44.9-3.1.src.rpm

Install Howto

Install libyui-qt-graph-devel rpm package:

# zypper install libyui-qt-graph-devel

Files

Path
/usr/include/yui/
/usr/include/yui/qt-graph/QY2Graph.h
/usr/include/yui/qt-graph/YQGraph.h
/usr/include/yui/qt-graph/YQGraphPlugin.h
/usr/include/yui/qt-graph/YQGraphPluginImpl.h
/usr/lib64/cmake/libyui-qt-graph/Libyui-qt-graphConfig.cmake
/usr/lib64/cmake/libyui-qt-graph/Libyui-qt-graphConfigVersion.cmake
/usr/lib64/cmake/libyui-qt-graph/Libyui-qt-graphLibraryDepends-release.cmake
/usr/lib64/cmake/libyui-qt-graph/Libyui-qt-graphLibraryDepends.cmake
/usr/lib64/pkgconfig/libyui-qt-graph.pc
/usr/lib64/yui/libyui-qt-graph.so
/usr/share/doc/packages/libyui-qt-graph9/
/usr/share/doc/packages/libyui-qt-graph9/examples/SimpleCreate.cc
/usr/share/doc/packages/libyui-qt-graph9/examples/SimpleLoad.cc

Changelog

2018-08-21 - schubi@suse.de
- Changed dir of COPYING file.
2018-07-30 - lslezak@suse.cz
- Update the version to match the other packages (improvement
for handling big disks, bsc#991090)
- 2.44.9
2018-05-25 - igonzalezsosa@suse.com
- Drop qt5_use_modules (related to bsc#1091286).
- 2.44.8
2018-05-07 - igonzalezsosa@suse.com
- Replace qt5_use_modules with target_link_libraries (bsc#1091286).
- 2.44.7
2017-08-08 - mvidner@suse.com
- Adjusted to increased so version of the base library (bsc#1052217)
- 2.44.6
2015-09-16 - mvidner@suse.com
- Reorganized git for easier tarball creation:
- RPM spec files are kept in git verbatim, not as templates
- no longer call PREP_SPEC_FILES in CMakeLists.common
- No functional change but version bumped to push the package
down the pipeline (boo#946079).
2015-09-02 - aschnell@suse.com
- bumped so version to match the base library (boo#937026).
- 2.44.4
2015-01-20 - mvidner@suse.com
- Fixed building with cmake 3.1 (PREFIX in spec, boo#911875).
- 2.44.3
2014-05-24 - bjoern.esser@gmail.com
- clarify license by adding license headers from libyui
- pull in GPLv3-license, since LGPLv3 is additional rules on top
- 2.44.2
2014-02-25 - mvidner@suse.com
- merged git and Factory state: the patch is now upstreamed:
0001-use-cgraph-instead-of-graph-interfaces.patch
- Ported to Qt5
- 2.44.1

See Also

Package Description
libyui-qt-graph-doc-2.44.9-3.1.noarch.rpm Libyui-qt-graph documentation
libyui-qt-graph9-2.44.9-3.1.i586.rpm Libyui - Qt Graph Widget
libyui-qt-graph9-2.44.9-3.1.x86_64.rpm Libyui - Qt Graph Widget
libyui-qt-pkg-devel-2.45.27-2.1.i586.rpm Libyui-qt-pkg header files
libyui-qt-pkg-devel-2.45.27-2.1.x86_64.rpm Libyui-qt-pkg header files
libyui-qt-pkg-doc-2.45.27-2.1.noarch.rpm Libyui-qt-pkg documentation
libyui-qt-pkg9-2.45.27-2.1.i586.rpm Libyui - Qt Package Selector
libyui-qt-pkg9-2.45.27-2.1.x86_64.rpm Libyui - Qt Package Selector
libyui-qt9-2.49.16-2.1.i586.rpm Libyui - Qt User Interface
libyui-qt9-2.49.16-2.1.x86_64.rpm Libyui - Qt User Interface
libyui9-3.4.2-3.1.i586.rpm Libyui - GUI-abstraction library
libyui9-3.4.2-3.1.x86_64.rpm Libyui - GUI-abstraction library
libz1-1.2.11-6.1.i586.rpm Library implementing the DEFLATE compression algorithm
libz1-1.2.11-6.1.x86_64.rpm Library implementing the DEFLATE compression algorithm
libz1-32bit-1.2.11-6.1.x86_64.rpm Library implementing the DEFLATE compression algorithm
Advertisement
Advertisement